package com.example.akl;

import java.io.IOException;

import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;

import com.squareup.okhttp.FormEncodingBuilder;
import com.squareup.okhttp.OkHttpClient;
import com.squareup.okhttp.Request;
import com.squareup.okhttp.RequestBody;
import com.squareup.okhttp.Response;


public class MainActivity extends Activity {
	
	 private final OkHttpClient client = new OkHttpClient();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

         try {
        	 
        	 new MainActivity().myrun();
        	 
        	 
		} catch (IOException e) {
			
			Log.d("RUN", "HATA");
			
		} catch (Exception e) {
			
			Log.d("RUN2", " HATA2: " + e.toString());
		}
    }

    public void myrun() throws Exception {
        RequestBody formBody = new FormEncodingBuilder()
            .add("adi", "ahmet")
            .add("soyadi", "mehmet")
            .build();
        
        Request request = new Request.Builder()
            .url("http://leventler.net/test/")
            .post(formBody)
            .build();

        Response response = client.newCall(request).execute();
        if (!response.isSuccessful()) throw new IOException("Unexpected code " + response);

       Log.d("Response", "Response: "+ response.body().string());
      }   
    
    /*
     * http://leventler.net/test/index.php
     <?php
            $adi   = $_POST['adi'];
            $soyadi= $_POST['soyadi'];
          
            echo("Ad: ".$adi." Soyad: ".$soyadi);

        ?> 
     */
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.action_settings) {
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
    
   
}
